pragma Warnings (Off);
pragma Ada_95;
pragma Source_File_Name (gnatcoll_sqlitemain, Spec_File_Name => "b__gnatcoll_sqlite.ads");
pragma Source_File_Name (gnatcoll_sqlitemain, Body_File_Name => "b__gnatcoll_sqlite.adb");
pragma Suppress (Overflow_Check);

with System.Restrictions;
with Ada.Exceptions;

package body gnatcoll_sqlitemain is

   E067 : Short_Integer; pragma Import (Ada, E067, "system__os_lib_E");
   E023 : Short_Integer; pragma Import (Ada, E023, "ada__exceptions_E");
   E019 : Short_Integer; pragma Import (Ada, E019, "system__soft_links_E");
   E017 : Short_Integer; pragma Import (Ada, E017, "system__exception_table_E");
   E042 : Short_Integer; pragma Import (Ada, E042, "ada__containers_E");
   E062 : Short_Integer; pragma Import (Ada, E062, "ada__io_exceptions_E");
   E032 : Short_Integer; pragma Import (Ada, E032, "ada__numerics_E");
   E014 : Short_Integer; pragma Import (Ada, E014, "ada__strings_E");
   E101 : Short_Integer; pragma Import (Ada, E101, "ada__strings__maps_E");
   E104 : Short_Integer; pragma Import (Ada, E104, "ada__strings__maps__constants_E");
   E047 : Short_Integer; pragma Import (Ada, E047, "interfaces__c_E");
   E026 : Short_Integer; pragma Import (Ada, E026, "system__exceptions_E");
   E078 : Short_Integer; pragma Import (Ada, E078, "system__object_reader_E");
   E054 : Short_Integer; pragma Import (Ada, E054, "system__dwarf_lines_E");
   E097 : Short_Integer; pragma Import (Ada, E097, "system__soft_links__initialize_E");
   E041 : Short_Integer; pragma Import (Ada, E041, "system__traceback__symbolic_E");
   E341 : Short_Integer; pragma Import (Ada, E341, "ada__assertions_E");
   E110 : Short_Integer; pragma Import (Ada, E110, "ada__strings__utf_encoding_E");
   E118 : Short_Integer; pragma Import (Ada, E118, "ada__tags_E");
   E108 : Short_Integer; pragma Import (Ada, E108, "ada__strings__text_buffers_E");
   E152 : Short_Integer; pragma Import (Ada, E152, "gnat_E");
   E211 : Short_Integer; pragma Import (Ada, E211, "interfaces__c__strings_E");
   E106 : Short_Integer; pragma Import (Ada, E106, "ada__streams_E");
   E200 : Short_Integer; pragma Import (Ada, E200, "system__file_control_block_E");
   E140 : Short_Integer; pragma Import (Ada, E140, "system__finalization_root_E");
   E138 : Short_Integer; pragma Import (Ada, E138, "ada__finalization_E");
   E199 : Short_Integer; pragma Import (Ada, E199, "system__file_io_E");
   E183 : Short_Integer; pragma Import (Ada, E183, "system__storage_pools_E");
   E185 : Short_Integer; pragma Import (Ada, E185, "system__finalization_masters_E");
   E229 : Short_Integer; pragma Import (Ada, E229, "system__storage_pools__subpools_E");
   E132 : Short_Integer; pragma Import (Ada, E132, "ada__strings__unbounded_E");
   E270 : Short_Integer; pragma Import (Ada, E270, "system__task_info_E");
   E224 : Short_Integer; pragma Import (Ada, E224, "system__regpat_E");
   E157 : Short_Integer; pragma Import (Ada, E157, "ada__calendar_E");
   E236 : Short_Integer; pragma Import (Ada, E236, "ada__calendar__delays_E");
   E163 : Short_Integer; pragma Import (Ada, E163, "ada__calendar__time_zones_E");
   E195 : Short_Integer; pragma Import (Ada, E195, "ada__text_io_E");
   E154 : Short_Integer; pragma Import (Ada, E154, "gnat__calendar_E");
   E356 : Short_Integer; pragma Import (Ada, E356, "gnat__directory_operations_E");
   E329 : Short_Integer; pragma Import (Ada, E329, "system__checked_pools_E");
   E264 : Short_Integer; pragma Import (Ada, E264, "system__task_primitives__operations_E");
   E193 : Short_Integer; pragma Import (Ada, E193, "gnat__calendar__time_io_E");
   E320 : Short_Integer; pragma Import (Ada, E320, "gnat__debug_pools_E");
   E187 : Short_Integer; pragma Import (Ada, E187, "system__pool_global_E");
   E219 : Short_Integer; pragma Import (Ada, E219, "gnat__expect_E");
   E380 : Short_Integer; pragma Import (Ada, E380, "system__random_seed_E");
   E367 : Short_Integer; pragma Import (Ada, E367, "system__regexp_E");
   E360 : Short_Integer; pragma Import (Ada, E360, "ada__directories_E");
   E284 : Short_Integer; pragma Import (Ada, E284, "system__tasking__initialization_E");
   E294 : Short_Integer; pragma Import (Ada, E294, "system__tasking__protected_objects_E");
   E296 : Short_Integer; pragma Import (Ada, E296, "system__tasking__protected_objects__entries_E");
   E292 : Short_Integer; pragma Import (Ada, E292, "system__tasking__queuing_E");
   E174 : Short_Integer; pragma Import (Ada, E174, "gnatcoll__atomic_E");
   E318 : Short_Integer; pragma Import (Ada, E318, "gnatcoll__memory_E");
   E215 : Short_Integer; pragma Import (Ada, E215, "gnatcoll__os_E");
   E254 : Short_Integer; pragma Import (Ada, E254, "gnatcoll__plugins_E");
   E178 : Short_Integer; pragma Import (Ada, E178, "gnatcoll__storage_pools__headers_E");
   E176 : Short_Integer; pragma Import (Ada, E176, "gnatcoll__refcount_E");
   E214 : Short_Integer; pragma Import (Ada, E214, "gnatcoll__string_builders_E");
   E312 : Short_Integer; pragma Import (Ada, E312, "gnatcoll__strings_impl_E");
   E310 : Short_Integer; pragma Import (Ada, E310, "gnatcoll__strings_E");
   E309 : Short_Integer; pragma Import (Ada, E309, "gnatcoll__strings_E");
   E331 : Short_Integer; pragma Import (Ada, E331, "gnatcoll__mmap_E");
   E333 : Short_Integer; pragma Import (Ada, E333, "gnatcoll__mmap__system_E");
   E335 : Short_Integer; pragma Import (Ada, E335, "gnatcoll__templates_E");
   E337 : Short_Integer; pragma Import (Ada, E337, "gnatcoll__terminal_E");
   E205 : Short_Integer; pragma Import (Ada, E205, "gnatcoll__utils_E");
   E189 : Short_Integer; pragma Import (Ada, E189, "gnatcoll__sql_impl_E");
   E171 : Short_Integer; pragma Import (Ada, E171, "gnatcoll__sql_E");
   E351 : Short_Integer; pragma Import (Ada, E351, "gnatcoll__io_E");
   E369 : Short_Integer; pragma Import (Ada, E369, "gnatcoll__path_E");
   E358 : Short_Integer; pragma Import (Ada, E358, "gnatcoll__io__native_E");
   E372 : Short_Integer; pragma Import (Ada, E372, "gnatcoll__remote_E");
   E376 : Short_Integer; pragma Import (Ada, E376, "gnatcoll__remote__db_E");
   E354 : Short_Integer; pragma Import (Ada, E354, "gnatcoll__io__remote_E");
   E371 : Short_Integer; pragma Import (Ada, E371, "gnatcoll__io__remote__unix_E");
   E374 : Short_Integer; pragma Import (Ada, E374, "gnatcoll__io__remote__windows_E");
   E345 : Short_Integer; pragma Import (Ada, E345, "gnatcoll__vfs_E");
   E314 : Short_Integer; pragma Import (Ada, E314, "gnatcoll__traces_E");
   E251 : Short_Integer; pragma Import (Ada, E251, "gnatcoll__sql__exec_E");
   E256 : Short_Integer; pragma Import (Ada, E256, "gnatcoll__sql__exec__tasking_E");
   E300 : Short_Integer; pragma Import (Ada, E300, "gnatcoll__sql__exec_private_E");
   E006 : Short_Integer; pragma Import (Ada, E006, "gnatcoll__sql__sqlite_E");
   E002 : Short_Integer; pragma Import (Ada, E002, "gnatcoll__sql__sqlite__builder_E");
   E004 : Short_Integer; pragma Import (Ada, E004, "gnatcoll__sql__sqlite__gnade_E");

   Sec_Default_Sized_Stacks : array (1 .. 1) of aliased System.Secondary_Stack.SS_Stack (System.Parameters.Runtime_Default_Sec_Stack_Size);

   Local_Priority_Specific_Dispatching : constant String := "";
   Local_Interrupt_States : constant String := "";

   Is_Elaborated : Boolean := False;

   procedure finalize_library is
   begin
      declare
         procedure F1;
         pragma Import (Ada, F1, "gnatcoll__sql__sqlite__builder__finalize_body");
      begin
         E002 := E002 - 1;
         if E002 = 0 then
            F1;
         end if;
      end;
      declare
         procedure F2;
         pragma Import (Ada, F2, "gnatcoll__sql__sqlite__finalize_body");
      begin
         E006 := E006 - 1;
         if E006 = 0 then
            F2;
         end if;
      end;
      declare
         procedure F3;
         pragma Import (Ada, F3, "gnatcoll__sql__sqlite__finalize_spec");
      begin
         if E006 = 0 then
            F3;
         end if;
      end;
      declare
         procedure F4;
         pragma Import (Ada, F4, "gnatcoll__sql__exec__tasking__finalize_body");
      begin
         E256 := E256 - 1;
         if E256 = 0 then
            F4;
         end if;
      end;
      declare
         procedure F5;
         pragma Import (Ada, F5, "gnatcoll__sql__exec__finalize_body");
      begin
         E251 := E251 - 1;
         if E251 = 0 then
            F5;
         end if;
      end;
      declare
         procedure F6;
         pragma Import (Ada, F6, "gnatcoll__sql__exec__finalize_spec");
      begin
         if E251 = 0 then
            F6;
         end if;
      end;
      declare
         procedure F7;
         pragma Import (Ada, F7, "gnatcoll__traces__finalize_body");
      begin
         E314 := E314 - 1;
         if E314 = 0 then
            F7;
         end if;
      end;
      declare
         procedure F8;
         pragma Import (Ada, F8, "gnatcoll__traces__finalize_spec");
      begin
         if E314 = 0 then
            F8;
         end if;
      end;
      E345 := E345 - 1;
      declare
         procedure F9;
         pragma Import (Ada, F9, "gnatcoll__vfs__finalize_spec");
      begin
         if E345 = 0 then
            F9;
         end if;
      end;
      E354 := E354 - 1;
      declare
         procedure F10;
         pragma Import (Ada, F10, "gnatcoll__io__remote__finalize_spec");
      begin
         if E354 = 0 then
            F10;
         end if;
      end;
      declare
         procedure F11;
         pragma Import (Ada, F11, "gnatcoll__remote__finalize_spec");
      begin
         E372 := E372 - 1;
         if E372 = 0 then
            F11;
         end if;
      end;
      E358 := E358 - 1;
      declare
         procedure F12;
         pragma Import (Ada, F12, "gnatcoll__io__native__finalize_spec");
      begin
         if E358 = 0 then
            F12;
         end if;
      end;
      E351 := E351 - 1;
      declare
         procedure F13;
         pragma Import (Ada, F13, "gnatcoll__io__finalize_spec");
      begin
         if E351 = 0 then
            F13;
         end if;
      end;
      declare
         procedure F14;
         pragma Import (Ada, F14, "gnatcoll__sql__finalize_body");
      begin
         E171 := E171 - 1;
         if E171 = 0 then
            F14;
         end if;
      end;
      declare
         procedure F15;
         pragma Import (Ada, F15, "gnatcoll__sql__finalize_spec");
      begin
         if E171 = 0 then
            F15;
         end if;
      end;
      declare
         procedure F16;
         pragma Import (Ada, F16, "gnatcoll__sql_impl__finalize_body");
      begin
         E189 := E189 - 1;
         if E189 = 0 then
            F16;
         end if;
      end;
      declare
         procedure F17;
         pragma Import (Ada, F17, "gnatcoll__sql_impl__finalize_spec");
      begin
         if E189 = 0 then
            F17;
         end if;
      end;
      E337 := E337 - 1;
      declare
         procedure F18;
         pragma Import (Ada, F18, "gnatcoll__terminal__finalize_spec");
      begin
         if E337 = 0 then
            F18;
         end if;
      end;
      E310 := E310 - 1;
      declare
         procedure F19;
         pragma Import (Ada, F19, "gnatcoll__strings__finalize_spec");
      begin
         if E310 = 0 then
            F19;
         end if;
      end;
      E176 := E176 - 1;
      declare
         procedure F20;
         pragma Import (Ada, F20, "gnatcoll__refcount__finalize_spec");
      begin
         if E176 = 0 then
            F20;
         end if;
      end;
      declare
         procedure F21;
         pragma Import (Ada, F21, "gnatcoll__memory__finalize_body");
      begin
         E318 := E318 - 1;
         if E318 = 0 then
            F21;
         end if;
      end;
      E296 := E296 - 1;
      declare
         procedure F22;
         pragma Import (Ada, F22, "system__tasking__protected_objects__entries__finalize_spec");
      begin
         if E296 = 0 then
            F22;
         end if;
      end;
      declare
         procedure F23;
         pragma Import (Ada, F23, "ada__directories__finalize_body");
      begin
         E360 := E360 - 1;
         if E360 = 0 then
            F23;
         end if;
      end;
      declare
         procedure F24;
         pragma Import (Ada, F24, "ada__directories__finalize_spec");
      begin
         if E360 = 0 then
            F24;
         end if;
      end;
      E367 := E367 - 1;
      declare
         procedure F25;
         pragma Import (Ada, F25, "system__regexp__finalize_spec");
      begin
         if E367 = 0 then
            F25;
         end if;
      end;
      E219 := E219 - 1;
      declare
         procedure F26;
         pragma Import (Ada, F26, "gnat__expect__finalize_spec");
      begin
         if E219 = 0 then
            F26;
         end if;
      end;
      E187 := E187 - 1;
      declare
         procedure F27;
         pragma Import (Ada, F27, "system__pool_global__finalize_spec");
      begin
         if E187 = 0 then
            F27;
         end if;
      end;
      declare
         procedure F28;
         pragma Import (Ada, F28, "gnat__debug_pools__finalize_body");
      begin
         E320 := E320 - 1;
         if E320 = 0 then
            F28;
         end if;
      end;
      declare
         procedure F29;
         pragma Import (Ada, F29, "gnat__debug_pools__finalize_spec");
      begin
         if E320 = 0 then
            F29;
         end if;
      end;
      E195 := E195 - 1;
      declare
         procedure F30;
         pragma Import (Ada, F30, "ada__text_io__finalize_spec");
      begin
         if E195 = 0 then
            F30;
         end if;
      end;
      E132 := E132 - 1;
      declare
         procedure F31;
         pragma Import (Ada, F31, "ada__strings__unbounded__finalize_spec");
      begin
         if E132 = 0 then
            F31;
         end if;
      end;
      E229 := E229 - 1;
      declare
         procedure F32;
         pragma Import (Ada, F32, "system__storage_pools__subpools__finalize_spec");
      begin
         if E229 = 0 then
            F32;
         end if;
      end;
      E185 := E185 - 1;
      declare
         procedure F33;
         pragma Import (Ada, F33, "system__finalization_masters__finalize_spec");
      begin
         if E185 = 0 then
            F33;
         end if;
      end;
      declare
         procedure F34;
         pragma Import (Ada, F34, "system__file_io__finalize_body");
      begin
         E199 := E199 - 1;
         if E199 = 0 then
            F34;
         end if;
      end;
      declare
         procedure Reraise_Library_Exception_If_Any;
            pragma Import (Ada, Reraise_Library_Exception_If_Any, "__gnat_reraise_library_exception_if_any");
      begin
         Reraise_Library_Exception_If_Any;
      end;
   end finalize_library;

   procedure gnatcoll_sqlitefinal is

      procedure Runtime_Finalize;
      pragma Import (C, Runtime_Finalize, "__gnat_runtime_finalize");

   begin
      if not Is_Elaborated then
         return;
      end if;
      Is_Elaborated := False;
      Runtime_Finalize;
      finalize_library;
   end gnatcoll_sqlitefinal;

   type No_Param_Proc is access procedure;
   pragma Favor_Top_Level (No_Param_Proc);

   procedure gnatcoll_sqliteinit is
      Main_Priority : Integer;
      pragma Import (C, Main_Priority, "__gl_main_priority");
      Time_Slice_Value : Integer;
      pragma Import (C, Time_Slice_Value, "__gl_time_slice_val");
      WC_Encoding : Character;
      pragma Import (C, WC_Encoding, "__gl_wc_encoding");
      Locking_Policy : Character;
      pragma Import (C, Locking_Policy, "__gl_locking_policy");
      Queuing_Policy : Character;
      pragma Import (C, Queuing_Policy, "__gl_queuing_policy");
      Task_Dispatching_Policy : Character;
      pragma Import (C, Task_Dispatching_Policy, "__gl_task_dispatching_policy");
      Priority_Specific_Dispatching : System.Address;
      pragma Import (C, Priority_Specific_Dispatching, "__gl_priority_specific_dispatching");
      Num_Specific_Dispatching : Integer;
      pragma Import (C, Num_Specific_Dispatching, "__gl_num_specific_dispatching");
      Main_CPU : Integer;
      pragma Import (C, Main_CPU, "__gl_main_cpu");
      Interrupt_States : System.Address;
      pragma Import (C, Interrupt_States, "__gl_interrupt_states");
      Num_Interrupt_States : Integer;
      pragma Import (C, Num_Interrupt_States, "__gl_num_interrupt_states");
      Unreserve_All_Interrupts : Integer;
      pragma Import (C, Unreserve_All_Interrupts, "__gl_unreserve_all_interrupts");
      Detect_Blocking : Integer;
      pragma Import (C, Detect_Blocking, "__gl_detect_blocking");
      Default_Stack_Size : Integer;
      pragma Import (C, Default_Stack_Size, "__gl_default_stack_size");
      Default_Secondary_Stack_Size : System.Parameters.Size_Type;
      pragma Import (C, Default_Secondary_Stack_Size, "__gnat_default_ss_size");
      Bind_Env_Addr : System.Address;
      pragma Import (C, Bind_Env_Addr, "__gl_bind_env_addr");

      procedure Runtime_Initialize (Install_Handler : Integer);
      pragma Import (C, Runtime_Initialize, "__gnat_runtime_initialize");

      Finalize_Library_Objects : No_Param_Proc;
      pragma Import (C, Finalize_Library_Objects, "__gnat_finalize_library_objects");
      Binder_Sec_Stacks_Count : Natural;
      pragma Import (Ada, Binder_Sec_Stacks_Count, "__gnat_binder_ss_count");
      Default_Sized_SS_Pool : System.Address;
      pragma Import (Ada, Default_Sized_SS_Pool, "__gnat_default_ss_pool");

   begin
      if Is_Elaborated then
         return;
      end if;
      Is_Elaborated := True;
      Main_Priority := -1;
      Time_Slice_Value := -1;
      WC_Encoding := 'b';
      Locking_Policy := ' ';
      Queuing_Policy := ' ';
      Task_Dispatching_Policy := ' ';
      System.Restrictions.Run_Time_Restrictions :=
        (Set =>
          (False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, True, False, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, False, False),
         Value => (0, 0, 0, 0, 0, 0, 0, 0, 0, 0),
         Violated =>
          (False, False, False, False, True, True, False, False, 
           True, False, False, True, True, True, True, False, 
           False, False, False, True, False, False, True, True, 
           False, True, True, False, True, True, True, True, 
           False, True, False, False, False, False, True, False, 
           False, True, False, True, False, True, True, False, 
           True, False, True, False, False, False, True, False, 
           True, False, False, True, False, False, False, False, 
           False, False, False, True, True, True, False, False, 
           True, False, True, True, True, False, True, True, 
           False, True, True, True, True, False, False, False, 
           False, False, False, False, False, False, False, False, 
           False, False, True, False),
         Count => (0, 0, 0, 0, 0, 0, 0, 0, 1, 0),
         Unknown => (False, False, False, False, False, False, False, False, True, False));
      Priority_Specific_Dispatching :=
        Local_Priority_Specific_Dispatching'Address;
      Num_Specific_Dispatching := 0;
      Main_CPU := -1;
      Interrupt_States := Local_Interrupt_States'Address;
      Num_Interrupt_States := 0;
      Unreserve_All_Interrupts := 0;
      Detect_Blocking := 0;
      Default_Stack_Size := -1;

      gnatcoll_sqlitemain'Elab_Body;
      Default_Secondary_Stack_Size := System.Parameters.Runtime_Default_Sec_Stack_Size;
      Binder_Sec_Stacks_Count := 1;
      Default_Sized_SS_Pool := Sec_Default_Sized_Stacks'Address;

      Runtime_Initialize (1);

      if E023 = 0 then
         Ada.Exceptions'Elab_Spec;
      end if;
      if E019 = 0 then
         System.Soft_Links'Elab_Spec;
      end if;
      if E017 = 0 then
         System.Exception_Table'Elab_Body;
      end if;
      E017 := E017 + 1;
      if E042 = 0 then
         Ada.Containers'Elab_Spec;
      end if;
      E042 := E042 + 1;
      if E062 = 0 then
         Ada.Io_Exceptions'Elab_Spec;
      end if;
      E062 := E062 + 1;
      if E032 = 0 then
         Ada.Numerics'Elab_Spec;
      end if;
      E032 := E032 + 1;
      if E014 = 0 then
         Ada.Strings'Elab_Spec;
      end if;
      E014 := E014 + 1;
      if E101 = 0 then
         Ada.Strings.Maps'Elab_Spec;
      end if;
      E101 := E101 + 1;
      if E104 = 0 then
         Ada.Strings.Maps.Constants'Elab_Spec;
      end if;
      E104 := E104 + 1;
      if E047 = 0 then
         Interfaces.C'Elab_Spec;
      end if;
      E047 := E047 + 1;
      if E026 = 0 then
         System.Exceptions'Elab_Spec;
      end if;
      E026 := E026 + 1;
      if E078 = 0 then
         System.Object_Reader'Elab_Spec;
      end if;
      E078 := E078 + 1;
      if E054 = 0 then
         System.Dwarf_Lines'Elab_Spec;
      end if;
      E054 := E054 + 1;
      if E067 = 0 then
         System.Os_Lib'Elab_Body;
      end if;
      E067 := E067 + 1;
      if E097 = 0 then
         System.Soft_Links.Initialize'Elab_Body;
      end if;
      E097 := E097 + 1;
      E019 := E019 + 1;
      if E041 = 0 then
         System.Traceback.Symbolic'Elab_Body;
      end if;
      E041 := E041 + 1;
      E023 := E023 + 1;
      if E341 = 0 then
         Ada.Assertions'Elab_Spec;
      end if;
      E341 := E341 + 1;
      if E110 = 0 then
         Ada.Strings.Utf_Encoding'Elab_Spec;
      end if;
      E110 := E110 + 1;
      if E118 = 0 then
         Ada.Tags'Elab_Spec;
      end if;
      if E118 = 0 then
         Ada.Tags'Elab_Body;
      end if;
      E118 := E118 + 1;
      if E108 = 0 then
         Ada.Strings.Text_Buffers'Elab_Spec;
      end if;
      E108 := E108 + 1;
      if E152 = 0 then
         Gnat'Elab_Spec;
      end if;
      E152 := E152 + 1;
      if E211 = 0 then
         Interfaces.C.Strings'Elab_Spec;
      end if;
      E211 := E211 + 1;
      if E106 = 0 then
         Ada.Streams'Elab_Spec;
      end if;
      E106 := E106 + 1;
      if E200 = 0 then
         System.File_Control_Block'Elab_Spec;
      end if;
      E200 := E200 + 1;
      if E140 = 0 then
         System.Finalization_Root'Elab_Spec;
      end if;
      E140 := E140 + 1;
      if E138 = 0 then
         Ada.Finalization'Elab_Spec;
      end if;
      E138 := E138 + 1;
      if E199 = 0 then
         System.File_Io'Elab_Body;
      end if;
      E199 := E199 + 1;
      if E183 = 0 then
         System.Storage_Pools'Elab_Spec;
      end if;
      E183 := E183 + 1;
      if E185 = 0 then
         System.Finalization_Masters'Elab_Spec;
      end if;
      if E185 = 0 then
         System.Finalization_Masters'Elab_Body;
      end if;
      E185 := E185 + 1;
      if E229 = 0 then
         System.Storage_Pools.Subpools'Elab_Spec;
      end if;
      E229 := E229 + 1;
      if E132 = 0 then
         Ada.Strings.Unbounded'Elab_Spec;
      end if;
      E132 := E132 + 1;
      if E270 = 0 then
         System.Task_Info'Elab_Spec;
      end if;
      E270 := E270 + 1;
      if E224 = 0 then
         System.Regpat'Elab_Spec;
      end if;
      E224 := E224 + 1;
      if E157 = 0 then
         Ada.Calendar'Elab_Spec;
      end if;
      if E157 = 0 then
         Ada.Calendar'Elab_Body;
      end if;
      E157 := E157 + 1;
      if E236 = 0 then
         Ada.Calendar.Delays'Elab_Body;
      end if;
      E236 := E236 + 1;
      if E163 = 0 then
         Ada.Calendar.Time_Zones'Elab_Spec;
      end if;
      E163 := E163 + 1;
      if E195 = 0 then
         Ada.Text_Io'Elab_Spec;
      end if;
      if E195 = 0 then
         Ada.Text_Io'Elab_Body;
      end if;
      E195 := E195 + 1;
      if E154 = 0 then
         Gnat.Calendar'Elab_Spec;
      end if;
      E154 := E154 + 1;
      if E356 = 0 then
         Gnat.Directory_Operations'Elab_Spec;
      end if;
      if E356 = 0 then
         Gnat.Directory_Operations'Elab_Body;
      end if;
      E356 := E356 + 1;
      if E329 = 0 then
         System.Checked_Pools'Elab_Spec;
      end if;
      E329 := E329 + 1;
      if E264 = 0 then
         System.Task_Primitives.Operations'Elab_Body;
      end if;
      E264 := E264 + 1;
      if E193 = 0 then
         Gnat.Calendar.Time_Io'Elab_Spec;
      end if;
      E193 := E193 + 1;
      if E320 = 0 then
         Gnat.Debug_Pools'Elab_Spec;
      end if;
      if E320 = 0 then
         Gnat.Debug_Pools'Elab_Body;
      end if;
      E320 := E320 + 1;
      if E187 = 0 then
         System.Pool_Global'Elab_Spec;
      end if;
      E187 := E187 + 1;
      if E219 = 0 then
         Gnat.Expect'Elab_Spec;
      end if;
      E219 := E219 + 1;
      if E380 = 0 then
         System.Random_Seed'Elab_Body;
      end if;
      E380 := E380 + 1;
      if E367 = 0 then
         System.Regexp'Elab_Spec;
      end if;
      E367 := E367 + 1;
      if E360 = 0 then
         Ada.Directories'Elab_Spec;
      end if;
      if E360 = 0 then
         Ada.Directories'Elab_Body;
      end if;
      E360 := E360 + 1;
      if E284 = 0 then
         System.Tasking.Initialization'Elab_Body;
      end if;
      E284 := E284 + 1;
      if E294 = 0 then
         System.Tasking.Protected_Objects'Elab_Body;
      end if;
      E294 := E294 + 1;
      if E296 = 0 then
         System.Tasking.Protected_Objects.Entries'Elab_Spec;
      end if;
      E296 := E296 + 1;
      if E292 = 0 then
         System.Tasking.Queuing'Elab_Body;
      end if;
      E292 := E292 + 1;
      E174 := E174 + 1;
      if E318 = 0 then
         GNATCOLL.MEMORY'ELAB_BODY;
      end if;
      E318 := E318 + 1;
      if E215 = 0 then
         GNATCOLL.OS'ELAB_SPEC;
      end if;
      E215 := E215 + 1;
      E254 := E254 + 1;
      E178 := E178 + 1;
      if E176 = 0 then
         GNATCOLL.REFCOUNT'ELAB_SPEC;
      end if;
      E176 := E176 + 1;
      E214 := E214 + 1;
      E312 := E312 + 1;
      if E310 = 0 then
         GNATCOLL.STRINGS'ELAB_SPEC;
      end if;
      if E310 = 0 then
         GNATCOLL.STRINGS'ELAB_BODY;
      end if;
      E310 := E310 + 1;
      if E331 = 0 then
         GNATCOLL.MMAP'ELAB_SPEC;
      end if;
      E333 := E333 + 1;
      E331 := E331 + 1;
      if E335 = 0 then
         GNATCOLL.TEMPLATES'ELAB_SPEC;
      end if;
      E335 := E335 + 1;
      if E337 = 0 then
         GNATCOLL.TERMINAL'ELAB_SPEC;
      end if;
      if E337 = 0 then
         GNATCOLL.TERMINAL'ELAB_BODY;
      end if;
      E337 := E337 + 1;
      E205 := E205 + 1;
      if E189 = 0 then
         GNATCOLL.SQL_IMPL'ELAB_SPEC;
      end if;
      if E189 = 0 then
         GNATCOLL.SQL_IMPL'ELAB_BODY;
      end if;
      E189 := E189 + 1;
      if E171 = 0 then
         GNATCOLL.SQL'ELAB_SPEC;
      end if;
      if E171 = 0 then
         GNATCOLL.SQL'ELAB_BODY;
      end if;
      E171 := E171 + 1;
      if E351 = 0 then
         GNATCOLL.IO'ELAB_SPEC;
      end if;
      if E351 = 0 then
         GNATCOLL.IO'ELAB_BODY;
      end if;
      E351 := E351 + 1;
      if E369 = 0 then
         GNATCOLL.PATH'ELAB_SPEC;
      end if;
      if E369 = 0 then
         GNATCOLL.PATH'ELAB_BODY;
      end if;
      E369 := E369 + 1;
      if E358 = 0 then
         GNATCOLL.IO.NATIVE'ELAB_SPEC;
      end if;
      if E358 = 0 then
         GNATCOLL.IO.NATIVE'ELAB_BODY;
      end if;
      E358 := E358 + 1;
      if E372 = 0 then
         GNATCOLL.REMOTE'ELAB_SPEC;
      end if;
      E372 := E372 + 1;
      if E376 = 0 then
         GNATCOLL.REMOTE.DB'ELAB_SPEC;
      end if;
      E376 := E376 + 1;
      if E354 = 0 then
         GNATCOLL.IO.REMOTE'ELAB_SPEC;
      end if;
      E371 := E371 + 1;
      E374 := E374 + 1;
      if E354 = 0 then
         GNATCOLL.IO.REMOTE'ELAB_BODY;
      end if;
      E354 := E354 + 1;
      if E345 = 0 then
         GNATCOLL.VFS'ELAB_SPEC;
      end if;
      if E345 = 0 then
         GNATCOLL.VFS'ELAB_BODY;
      end if;
      E345 := E345 + 1;
      if E314 = 0 then
         GNATCOLL.TRACES'ELAB_SPEC;
      end if;
      if E314 = 0 then
         GNATCOLL.TRACES'ELAB_BODY;
      end if;
      E314 := E314 + 1;
      if E251 = 0 then
         GNATCOLL.SQL.EXEC'ELAB_SPEC;
      end if;
      if E300 = 0 then
         GNATCOLL.SQL.EXEC_PRIVATE'ELAB_SPEC;
      end if;
      if E300 = 0 then
         GNATCOLL.SQL.EXEC_PRIVATE'ELAB_BODY;
      end if;
      E300 := E300 + 1;
      if E251 = 0 then
         GNATCOLL.SQL.EXEC'ELAB_BODY;
      end if;
      E251 := E251 + 1;
      if E256 = 0 then
         GNATCOLL.SQL.EXEC.TASKING'ELAB_BODY;
      end if;
      E256 := E256 + 1;
      if E006 = 0 then
         GNATCOLL.SQL.SQLITE'ELAB_SPEC;
      end if;
      if E006 = 0 then
         GNATCOLL.SQL.SQLITE'ELAB_BODY;
      end if;
      E006 := E006 + 1;
      if E004 = 0 then
         GNATCOLL.SQL.SQLITE.GNADE'ELAB_SPEC;
      end if;
      if E004 = 0 then
         GNATCOLL.SQL.SQLITE.GNADE'ELAB_BODY;
      end if;
      E004 := E004 + 1;
      if E002 = 0 then
         GNATCOLL.SQL.SQLITE.BUILDER'ELAB_BODY;
      end if;
      E002 := E002 + 1;
   end gnatcoll_sqliteinit;

--  BEGIN Object file/option list
   --   /builddir/build/BUILD/gnatcoll-db-24.0.0-build/gnatcoll-db-24.0.0/sqlite/obj/relocatable/gnatcoll-sql-sqlite.o
   --   /builddir/build/BUILD/gnatcoll-db-24.0.0-build/gnatcoll-db-24.0.0/sqlite/obj/relocatable/gnatcoll-sql-sqlite-gnade.o
   --   /builddir/build/BUILD/gnatcoll-db-24.0.0-build/gnatcoll-db-24.0.0/sqlite/obj/relocatable/gnatcoll-sql-sqlite-builder.o
   --   -L/builddir/build/BUILD/gnatcoll-db-24.0.0-build/gnatcoll-db-24.0.0/sqlite/obj/relocatable/
   --   -L/builddir/build/BUILD/gnatcoll-db-24.0.0-build/gnatcoll-db-24.0.0/stage/usr/lib64/gnatcoll-sql/
   --   -L/usr/lib64/libgpr/
   --   -L/usr/lib64/xmlada/
   --   -L/usr/lib64/gnatcoll/
   --   -L/usr/lib/gcc/x86_64-redhat-linux/14/adalib/
   --   -static
   --   -lgnarl
   --   -lgnat
   --   -lrt
   --   -lpthread
   --   -ldl
--  END Object file/option list   

end gnatcoll_sqlitemain;
